/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package at.fhooe.mc.magicwand.client.request;

import at.fhooe.mc.magicwand.client.sensors.*;

/**
 *
 * @author Manu
 */
public class RequestCreator {

    private SensorDataContainer m_container;
    private String m_maxDis;
    private String m_disOpt;
    private String m_stdValueDistance;

    public RequestCreator() {
        m_container = new SensorDataContainer();
        m_stdValueDistance = "1000";
    }

    public String createRequest(String _maxDistance, String _distanceOption) {
        if (_maxDistance == null) {
            m_maxDis = m_stdValueDistance;
        } else {
            m_maxDis = _maxDistance;
        }

        if ( _distanceOption == null || _distanceOption.equals("präzise")) {
            m_disOpt = "high";
        } else if (_distanceOption.equals("gro�z�gig")) {
            m_disOpt = "low";
        }
        m_container.updateData();
        return createXmlString();
    }

    private String createXmlString() {
        StringBuffer request = new StringBuffer();
        request.append("<?xml version=\"1.0\" encoding=\"UTF-8\"?><magic-wand><poi>");
        request.append("<latitude>" + m_container.getLatitude() + "</latitude>");
        request.append("<longitude>" + m_container.getLongitude() + "</latitude>");
        request.append("<compass-data>" + m_container.getAngle() + "</compass-data>");
        request.append("</poi><options>");
        request.append("<distance>" + m_maxDis + "</distance>");
        request.append("<accuracy>" + m_disOpt + "</accuracy>");
        request.append("</options></magic-wand>");
        return request.toString();
    }
}
