/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package at.fhooe.mc.magicwand.client.sensors;

/**
 *
 * @author Manu
 */
public class SensorDataContainer {

    private GPSReader m_gpsReader;
    private CompassSocket m_compassSocket;
    
    public SensorDataContainer(){
        m_gpsReader = new GPSReader();
        m_compassSocket = new CompassSocket(8100);
    }
    
    public void getCoordinates(){
        m_gpsReader.updatePosition();
    }
    
    public double getLatitude(){
        return m_gpsReader.getLatitude();
    }
    
    public double getLongitude(){
        return m_gpsReader.getLongitude();
    }

    public void send(){
        m_compassSocket.sendRequest();
    }

    public void close(){
        m_compassSocket.close();
    }

    public String getAngle(){
        return m_compassSocket.m_angle;
    }
    
    
    
}
